# Interface ICefX509Certificate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefX509Certificate = interface(ICefBaseRefCounted)`

## Description

Interface representing a X.509 certificate.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_certificate_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefX509Certificate

## Overview

### Methods

| `function GetSubject: ICefX509CertPrincipal;`
| `function GetIssuer: ICefX509CertPrincipal;`
| `function GetSerialNumber: ICefBinaryValue;`
| `function GetValidStart: TCefBaseTime;`
| `function GetValidExpiry: TCefBaseTime;`
| `function GetValidStartAsDateTime: TDateTime;`
| `function GetValidExpiryAsDateTime: TDateTime;`
| `function GetDerEncoded: ICefBinaryValue;`
| `function GetPemEncoded: ICefBinaryValue;`
| `function GetIssuerChainSize: NativeUInt;`
| `procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
| `procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`

## Description

### Methods

| `function GetSubject: ICefX509CertPrincipal;`
Returns the subject of the X.509 certificate. For HTTPS server certificates this represents the web server. The common name of the subject should match the host name of the web server. ###### Attributes GUID['{C897979D-F068-4428-82DF-4221612FF7E0}']

| `function GetIssuer: ICefX509CertPrincipal;`
Returns the issuer of the X.509 certificate.

| `function GetSerialNumber: ICefBinaryValue;`
Returns the DER encoded serial number for the X.509 certificate. The value possibly includes a leading 00 byte.

| `function GetValidStart: TCefBaseTime;`
Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetValidExpiry: TCefBaseTime;`
Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetValidStartAsDateTime: TDateTime;`
Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetValidExpiryAsDateTime: TDateTime;`
Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

| `function GetDerEncoded: ICefBinaryValue;`
Returns the DER encoded data for the X.509 certificate.

| `function GetPemEncoded: ICefBinaryValue;`
Returns the PEM encoded data for the X.509 certificate.

| `function GetIssuerChainSize: NativeUInt;`
Returns the number of certificates in the issuer chain. If 0, the certificate is self-signed.

| `procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
Returns the DER encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

| `procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);`
Returns the PEM encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

Generated by PasDoc 0.16.0-snapshot.